<!-- 交易商管理-交易商管理-交易商管理-登录账户-重置密码 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading" :refresh="refresh">
        <div class="g-text-message">{{ t('investor.manage.user.login.password.tips') }}</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { resetPwd } from '@/services/api/investor'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    selectedItem: {
        type: Object as PropType<Investor.InvestorLoginListRsp>,
        required: true
    },
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    resetPwd({
        data: {
            loginid: props.selectedItem.loginid
        }
    }).then(() => {
        ElMessage.success(t('common.tips19'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('common.tips20') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>